#!/usr/bin/env python

"A simple application for test purposes."

import WebStack.Generic

class SimpleResource:

    "A simple resource."

    def respond(self, trans):
        trans.set_content_type(WebStack.Generic.ContentType("text/html"))

        # Get some information.

        path_info, path = "", ""

        try:
            path_info = trans.get_path_info()
            path = trans.get_path()
        except NotImplementedError:
            pass

        out = trans.get_response_stream()
        out.write("""
<html>
  <body>
    <h1>Test</h1>
    <p>
      Path: %s
    </p>
    <p>
      Path info: %s
    </p>
  </body>
</html>
""" % (path, path_info))

# vim: tabstop=4 expandtab shiftwidth=4
